package appl.data;

/**
 * A instances of <code>DataUnloader</code> unloads a specified object to a
 * location, as soon as the {@link #unload()} method is invoked. Counterpart of
 * {@link DataLoader}.
 * 
 * @author Dominik Appl
 */
public interface DataUnloader {

	/**
	 * unloads the Data to a specific location
	 */
	public void unload();

	/**
	 * @return a short description of what the class exactly does
	 */
	public String getUnloadInfo();

}
