package appl.parallel.starter.client;

import appl.util.XuluFrameAdapter;
import edu.bonn.xulu.XuluModellingPlatform;
import edu.bonn.xulu.appl.XuluPlugin;
import edu.bonn.xulu.gui.XuluInternalFrame;
import edu.bonn.xulu.plugin.appl.AbstractMenuPlugin;

/**
 * The starter-controller {@link XuluPlugin}.
 * 
 * @see XuluStarterController
 * 
 * @author Dominik Appl
 */
public class XuluStarterControllerPlugin extends AbstractMenuPlugin {

	/*
	 * (non-Javadoc)
	 * 
	 * @see edu.bonn.xulu.plugin.appl.AbstractMenuPlugin#createPluginApplication()
	 */
	@Override
	protected XuluInternalFrame createPluginApplication() throws Exception {
		XuluStarterController controller = new XuluStarterController();

		return new XuluFrameAdapter("Xulu/V - Starter control", controller
				.getPanel());
	}

	/**
	 * 
	 */
	public XuluStarterControllerPlugin() {
		super(4, "Xulu/V - Starter control");
	}

}
