package appl.parallel.test;

import java.io.Serializable;
import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;

import appl.parallel.server.XuluServer;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * Generated code for the test suite <b>XuluServerTest</b> located at
 * <i>/XuluSVN/javasrc/appl/parallel/test/XuluServerTest.testsuite</i>.
 *
 * Tests the Server functionality
 */
public class XuluServerTest extends TestCase {
	public final String IP = "192.168.18.238";
	XuluServer server;

	/**
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		String name = "rmi://" + IP + "/XuluServer";

		server = (XuluServer) Naming.lookup(name);


	}

	/**
	 * Constructor for XuluServerTest.
	 * @param whatsthis
	 */
	public XuluServerTest(String whatsthis) {
		super(whatsthis);
	}

	/**
	 * Returns the JUnit test suite that implements the <b>XuluServerTest</b>
	 * definition.
	 */
	public static Test suite() {
		TestSuite xuluServerTest = new TestSuite("XuluServerTest");
//		xuluServerTest.setArbiter(DefaultTestArbiter.INSTANCE).setId(
//				"F534D0796F99AD6BA80D9B00A9AA11DB");

		return xuluServerTest;
	}


	/**
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
	}

    /**
		* testServer
		* @throws Exception
		*/
		public void testPingServer()
		throws Exception
		{
			  try{
			    	Object data;
			    	PingTestObject pingObj = new PingTestObject(32);
	    			// do 10 pings
					long sum1 = 0;
					for (int i = 0; i < 10; i++) {
						long mstime = System.currentTimeMillis();
			            data = server.ping(pingObj);
				        long mstimediff = System.currentTimeMillis() - mstime;
				        sum1 += mstimediff;
				       // Thread.sleep(100);
					}
					long sum2 = 0;
					for (int i = 0; i < 10; i++) {
						long nanotime = System.nanoTime();
			            data = server.ping(pingObj);
				        long nanolatency = System.nanoTime() - nanotime;
				        double timediff = (double)nanolatency / 1000000.0;
				        sum2+= nanolatency;
				        //Thread.sleep(100);
					}
					System.out.println("Average MS: " + sum1/10 + " Average nano: " + (double)sum2 / 10000000.0  );


				} catch (RemoteException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}


		}

    /**
	* sendModel
	* @throws Exception
	*/
	public void testSendModel()
	throws Exception
	{
		System.out.println("fu");
	// Enter your code here
	}

}
