package appl.parallel.thread;

import appl.parallel.ComputingResourceProperties;
import appl.parallel.event.CommEventSink;
import appl.parallel.event.CommEvent.CommType;
import appl.parallel.server.PartitionDataServer;

/**
 * @author Dominik Appl
 */
public abstract class DataServerThread extends ExecutionThread {
	
	public DataServerThread(PartitionDataServer dataServer,ComputingResourceProperties resourceInfos, Object argument,CommType type, CommEventSink sink){
		super(dataServer,resourceInfos,argument,type,sink,false);
	}
	
	public DataServerThread(PartitionDataServer dataServer,ComputingResourceProperties resourceInfos, Object argument,CommType type, CommEventSink sink, boolean disableTransferEvents){
		super(dataServer,resourceInfos,argument,type,sink,disableTransferEvents);
	}
	
	protected PartitionDataServer getServer(){
		return (PartitionDataServer) server;
	}
	
}