package edu.bonn.xulu.plugin.model.sleuth;

import schmitzm.data.WritableGrid;
import schmitzm.data.property.ScalarProperty;
import edu.bonn.xulu.model.AbstractModelContentManager;
import edu.bonn.xulu.model.ModelResource;
import edu.bonn.xulu.model.ValuePropertyResource;

public class CopyUrbanInActualLUContentManager extends AbstractModelContentManager {

	  /**
	   * Erzeugt einen neuen ContentManager fuer das Modell {@linkplain AverageNeighborhoodParallelDemoModel}.
	   */
	  public CopyUrbanInActualLUContentManager() {

		  super(3);
		    // ActualLU (CLUE-S)
		    resource[0]	= new ValuePropertyResource(ModelResource.CATEGORY_INPUT,"ActualLU",ScalarProperty.class,WritableGrid.class,false);
		    // ActualUrban (UGM)
		    resource[1] = new ValuePropertyResource(ModelResource.CATEGORY_INPUT,"ActualUrban",ScalarProperty.class,WritableGrid.class,false);
		    // Urban LU Class
		    resource[2] = new ValuePropertyResource(ModelResource.CATEGORY_INPUT,"UrbanLUClass",ScalarProperty.class,Integer.class,false);
	  }  

}
	  