package appl.parallel.event;

/**
 * A monitor, that receives {@link TimeEvent}s
 * @author Dominik Appl
 */
public interface TimeMonitor{
	
	/**
	 * Receive a event
	 * 
	 * @param t
	 *            the event
	 */
	public void receiveTimeEvent(TimeEvent t);

}
