package appl.parallel.services;

import java.util.Vector;

import appl.parallel.ComputingResource;
import appl.parallel.ComputingResourceContainer;

/**
 * A discovery service locates {@link ComputingResource ComputingRessouces} in a
 * network.
 * 
 * @author Dominik Appl
 */
public interface DiscoveryService extends Service {

	/**
	 * @return the discovered resources
	 */
	Vector<ComputingResourceContainer> getResources();
}
