package appl.parallel.starter.client;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JFrame;

import org.apache.log4j.BasicConfigurator;

import appl.parallel.starter.Starter;

/**
 * This is a GUI for controlling the {@link Starter Starters} in the network
 * independent of Xulu.
 * @author appl
 *
 */
public class XuluStarterControllerFrame extends JFrame {
	public XuluStarterControllerFrame() {
		super("Server starter");
		this.getContentPane().add(new XuluStarterController().getPanel());
		this.setSize(300, 400);
		this.addWindowListener(new ExitListener());
	}

	public static void main(String[] args) {
		BasicConfigurator.configure();
		XuluStarterControllerFrame clientGUI = new XuluStarterControllerFrame();
		clientGUI.setVisible(true);
	}

	public class ExitListener extends WindowAdapter {
		public void windowClosing(WindowEvent event) {
			System.exit(0);
		}
	}
}
