package appl.plugin.multimodelcontrol;

import javax.swing.JMenuItem;

import edu.bonn.xulu.gui.XuluInternalFrame;
import edu.bonn.xulu.plugin.appl.AbstractMenuPlugin;

/**
 * The Xulu plugin class. See {@link MultiModelControlHandler} for details.
 *
 * @author Dominik Appl
 */
public class MultiModelControlPlugin extends AbstractMenuPlugin{

	/**
	 */
	public MultiModelControlPlugin() {
		super(1,"Multi Model Control");
	}

	/* (non-Javadoc)
	 * @see edu.bonn.xulu.plugin.appl.AbstractMenuPlugin#createPluginApplication()
	 */
	@Override
	protected XuluInternalFrame createPluginApplication() throws Exception {
		return new MultiModelControlHandler(this.appl).getFrame();
	}

}
