package edu.bonn.xulu.plugin.model.parallel;

/**
 * Defines which clue task to execute.
 * @author Dominik Appl
 */
public class ClueTaskDefinition {
	public enum Task{
		/**
		 * Task: Calculate the LU-probabilities
		 */
		LU_PROB,
		/**
		 *Task: Calculate the neighborhood-probabilties 
		 */
		NEIGHBORHOOD_PROB,
		/**
		 *Task: Calculate a iteration 
		 */
		CLUE_ITER, 
		/**
		 *Task: Finalize the step (prepare for next step execution)
		 */
		STEP_FINALIZATION
	}
}
